> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/release-notes/jp/enterprise/keeper-secrets-manager/2023/july-2023.md).

# 2023年7月

Keeperシークレットマネージャー (KSM) 2023年7月のリリースノート

## KSM JavaScript SDK

### v16.6.1

* フォルダのサポートを追加。
* Passkeyフィールドタイプのサポートを改善。
* 依存関係をアップグレード。

## KSM Java SDK

### v16.6.2

* Javaのデフォルトの暗号プロバイダー使用時の不具合を修正。
* `kotlin-stdlib-jdk8` 依存関係のスコープをapiにアップグレード。

### v16.6.1

* フォルダのサポートおよび単体テストを改善。

### v16.6.0

* フォルダのサポートを追加。

## KSM Python SDK

### v16.6.1

* フォルダのサポートを改善。

### v16.6.0

* フォルダのサポートを追加。
* Passkeyフィールドタイプのサポートを改善。

## KSM .NET SDK

### v16.6.1

* フォルダのサポートを改善。

### v16.6.0

* フォルダのサポートを追加。
* Passkeyフィールドタイプのサポートを改善。
* レコードのトランザクションに対応。
* TLS 1.3に対応するため、.NETのバージョンを `net48, netstandard2.1` にアップグレード。

## KSM GoLang SDK

### v16.6.1

* レコードに `folderUid` と `innerFolderUid` を追加。
* 空文字列の場合に `subFolderUid` でクラッシュする不具合を修正 (KA-5587関連)。

### v16.6.0

* フォルダのサポートを追加。
* Passkeyフィールドタイプのサポートを改善。

## KSM PowerShell Module

### v16.6.1

* KSM .NET SDKの依存関係を更新。

### v16.6.0

* KSM .NET SDKを最新バージョン16.6.0に更新。

## Ansible Plugin

### v1.2.0

* API呼び出しを減らすため、Keeper Vaultのレコードをキャッシュするアクション `keeper_cache_records` を追加。
* 一部のアクションで、タイトルによるレコード取得に対応。
* `notation` の代替として、複合値内の個々の値にアクセスするための `array_index` と `value_key` を追加。

##

##


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keeper.io/release-notes/jp/enterprise/keeper-secrets-manager/2023/july-2023.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
